<?php include(CONF_REALPATH_TEMPLATES_ADMIN.'bootstrap/class/layoutBootstrap.class.php');?>

<nav class="navbar <?php echo $GLOBALS['AppAdminTpl']->params['clase_subnavbar'];?> subnavbar-estilo-custom" data-spy="affix" data-offset-top="60" data-offset-bottom="200"role="navigation">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-2"> <span class="sr-only"><?php echo __('Cambiar modo de Navegación'); ?></span> <span class="fa fa-bar"></span> <span class="fa fa-bar"></span> <span class="fa fa-bar"></span> </button>
      <div class="navbar-brand">
        <h4> <?php echo $options['titulo']; ?> </h4>
      </div>
    </div>
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-2">
      <form class="navbar-form navbar-left filtro_buscar_items" data-contenedor-refresh="div#cont_main_Resultados_1" data-contenedor-items="div#cont_Resultados_1" role="search" method="get" action="<?php echo CONF_URL_APP_ADMIN;?>?extension=ext_informes&vista=lista" id="filterForm">
        <div class="input-group"><span class="input-group-addon"><i class="fa fa-calendar"></i></span>
          <input type="text" name="fecha_inicio" value="<?php echo $_GET['fecha_inicio'];?>" placeholder="<?php echo __('Fecha de inicio');?>" class="form-control datepicker">
        </div>
        <div class="input-group"><span class="input-group-addon"><i class="fa fa-calendar"></i></span>
          <input type="text" name="fecha_fin" value="<?php echo $_GET['fecha_fin'];?>" placeholder="<?php echo __('Fecha de fin');?>" class="form-control datepicker">
        </div>
        <?php if (is_array($item_seleccionado->columnas_informe) && sizeof($item_seleccionado->columnas_informe) > 0){?>
        <select name="orden_informe" class="form-control">
          <option value=""><?php echo __('Orden');?></option>
          <?php foreach ($item_seleccionado->columnas_informe as $cdi){
			if ($cdi['campo'] != 'personalizado' && empty($cdi['subcampo'])){?>
          <option value="<?php echo $cdi['campo'];?>"<?php if ($cdi['campo'] == $_GET['orden_informe']){?> selected="selected"<?php } ?>><?php echo $cdi['etiqueta'];?></option>
          <?php } 
		} ?>
        </select>
        <select name="direccion_orden_informe" class="form-control">
          <option value=""><?php echo __('Dir. Orden');?></option>
          <option value="ASC"<?php if ($_GET['direccion_orden_informe'] == 'ASC'){?> selected="selected"<?php } ?>><?php echo __('Ascendente');?></option>
          <option value="DESC"<?php if ($_GET['direccion_orden_informe'] == 'DESC'){?> selected="selected"<?php } ?>><?php echo __('Descendente');?></option>
        </select>
        <?php } ?>
        <button type="submit" class="btn btn-primary"><?php echo __('Actualizar');?></button>
        <input type="hidden" name="page" value="<?php echo $_GET['page'];?>">
        <input type="hidden" name="extension" value="<?php echo $_GET['extension'];?>">
        <input type="hidden" name="vista" value="<?php echo $_GET['vista'];?>">
        <input type="hidden" name="id" value="<?php echo $_GET['id'];?>">
      </form>
    </div>
  </div>
</nav>
<div class="container-fluid">
  <div class="row" id="cont_main_Resultados_1">
    <mdoc:include type="widgets" name="top" />
    <div class=" col-md-12" id="cont_Resultados_1">
      <ul class="nav nav-tabs">
        <li id="tablink_Resultados_1" class="active"><a href="#Resultados_1"><?php echo __('Resultados');?></a></li>
        <?php /*?><li id="tablink_Graficos_1" class=""><a href="#Graficos_1"><?php echo __('Gráficos');?></a></li><?php */?>
      </ul>
      <div class="tab-content">
        <div class="panel panel-default clearfix tab-pane active" id="Resultados_1">
          <div class="panel-body">
            <?php if (!empty($msg_datos)){
					echo $msg_datos;
				} elseif (is_array($item_seleccionado->resultados_informe) && sizeof($item_seleccionado->resultados_informe) > 0){
					$header_table_datos = '';
					
					if (is_array($item_seleccionado->columnas_informe) && sizeof($item_seleccionado->columnas_informe) > 0){
						foreach ($item_seleccionado->columnas_informe as $cd){
							$header_table_datos .= '<th>'.$cd['etiqueta'].'</th>';
						}
					}
					?>
            <table class="table" width="100%" border="0">
              <thead>
                <tr><?php echo $header_table_datos;?></tr>
              </thead>
              <tbody>
                <?php foreach ($item_seleccionado->resultados_informe as $dato){
					echo '<tr>';
					if (is_array($item_seleccionado->columnas_informe) && sizeof($item_seleccionado->columnas_informe) > 0){
						foreach ($item_seleccionado->columnas_informe as $cd){
							$campo = $cd['campo'];
							$subcampo = $cd['subcampo'];
							echo '<td>'.$item_seleccionado->printValorCampo($cd, $dato).'</td>';
						}
					}
					echo '</tr>';
				?>
                <?php } ?>
              </tbody>
            </table>
            <?php } ?>
          </div>
        </div>
        <?php /*?><div class="panel panel-default clearfix tab-pane" id="Graficos_1">
          <div class="panel-body"> </div>
        </div><?php */?>
      </div>
    </div>
  </div>
</div>
