<?php
c_include('api/apiAdaptador');
/**
 * Eventos Api Adapter class for the Mideas Framework.
 *
 * @package		Mideas.Framework
 * @subpackage	Api
 * @since		1.0
 */
class InformesApiAdaptador extends ApiAdaptador
{
	protected $extension = 'informes';
	protected $carpeta = 'ext_informes';
	protected $elementos_permitidos = array("informe");
	protected $campos_ignorados_nuevo = array("id","fecha");
	protected $campos_multilang = array("titulo","contenido");
	public function __construct($elemento, $accion){
		parent::__construct($elemento, $accion);
		$this->mensajes = array("nuevo_ok"=>__("Se ha creado el informe. Haz click <a href='%s'>aquí</a> para ver el nuevo informe."), "nuevo_ko"=>__("Se ha producido un error al intentar crear el informe"), "editar_ok"=>__("Se ha modificado el informe. Haz click <a href='%s'>aquí</a> para visitar la página del informe."), "borrar_ok"=>__("El informe se ha eliminado."));
	}
}