<?php
defined('CONF_URL_APP') or die;

class InformeCategory extends CatModel
{
	protected $dbt_const = "DBT_INFORMES_CATEGORIAS";
	protected $dbt = "informes_categorias";
	
	protected $ext_folder = "ext_informes";
	protected $ext_vista_categoria = "informe_category";
	protected $ext_vista_item = "informe";
	
	protected $ext_item_class = "Informe";
	protected $ext_categoria_class = "InformeCategory";
	protected $ext_categoria_campoextra_class = "";
	
	protected $idx_vars = array("id");
	protected $update_vars = array("nombre","alias","contenido","estado","padre","creador","creador_alias","imagen_destacada","icono","params","idioma");
	
	protected $ignore_vars = array("dbt_const","dbt","ext_folder","ext_vista_categoria","ext_vista_item","ext_item_class","ext_categoria_class","ext_categoria_campoextra_class","idx_vars","update_vars","ignore_vars");
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		e_include('ext_informes/class/informe');
	}
}
?>