<?php
/**
 * Modelo del artículo, permite manejar los artículos de forma fácil
 *
 * @package		Mideas.Muzzim
 * @subpackage	Model
 * @since		1.0
 */

class InformeModel extends DetalleModel {
	protected $global_main_class = 'informes';
	
	protected $ext_folder = 'ext_informes';
	
	protected $categoria_class = 'InformeCategory';
	protected $item_class = 'Informe';
	
	protected $categoria_vista = 'informe_category';
	protected $item_vista = 'informe';
	
	function __construct($id=''){
		parent::__construct($id);
	}
	
	public function includes(){
		c_include('enlace');
		e_include('ext_informes/class/informe','ext_informes/class/informeCategory');
	}
}