<?php
$all_ext = Helpers::getExtensionsElements();
$this_ext = $_GET['extension'];

if (is_array($all_ext[$this_ext]['item'])){
	$titulo_pagina_defecto = !empty($all_ext[$this_ext]['item']['name_plural']) ? Helpers::__xml($all_ext[$this_ext]['item']['name_plural']) : Helpers::__xml($all_ext[$this_ext]['item']['name']);
	$class_item = $all_ext[$this_ext]['item']['class'];
	$fileclass_item = $all_ext[$this_ext]['item']['file_class'];
	$vista_item = $all_ext[$this_ext]['item']['vista'];
	
	e_include($this_ext.'/class/'.$fileclass_item);
	
	if (is_array($all_ext[$this_ext]['category'])){
		$class_category = $all_ext[$this_ext]['category']['class'];
		$fileclass_category = $all_ext[$this_ext]['category']['file_class'];
		$vista_category = $all_ext[$this_ext]['category']['vista'];
		
		e_include($this_ext.'/class/'.$fileclass_category);
	}
}

if (empty($class_item))
	Helpers::PanicMsg(__('La clase de la extensión no existe'));

if (!empty($_POST)){
	include(CONF_REALPATH_APP_ADMIN.'tools/default/acciones_masivas.php');
}

$options = array(
	"titulo" => $titulo_pagina_defecto,
	"categoria" => ""
);
$txt_cm = '';
if (isset($GLOBALS['custom_menu'])){
	$txt_cm = '&custom_menu='.$GLOBALS['custom_menu']->id;
	if (!empty($GLOBALS['custom_menu']->params)){
		$cm_params = Helpers::toArray(json_decode($GLOBALS['custom_menu']->params));
		
		if (!empty($cm_params['params'])){
			parse_str(trim($cm_params['params']), $parametros_custom);
			
			foreach ($parametros_custom as $kparam=>$param){
				if (array_key_exists($kparam, $options))
					$options[$kparam] = utf8_decode($param);
			}
		}
	}
	$last_url = Helpers::getSesion()->get('lastURL', null, 'admin');
	if (strpos($last_url, $GLOBALS['custom_menu']->enlace)){
		$options['titulo'] = SistemaIdioma::Imprimir($GLOBALS['custom_menu']->titulo);
	}
}

if (!class_exists('ListadoAdminModel')) {
    echo "Error 500: No se ha encontrado la clase de la extensión.";
    return false;
}

$cat_id = 0;
if (!empty($options["categoria"])){
	$cat_id = $options["categoria"];
} elseif (!empty($_GET['filtro_categoria'])){
	$cat_id = $_GET['filtro_categoria'];
}

$items = new ListadoAdminModel($cat_id, $class_item);

$items->vista_config['listado_extra_opts']  = array(
    array(
        "titulo" => __('Ver informe'),
        "icono" => "fa fa-bar-chart",
        "descripcion" => __('Ver informe'),
        "clase_css" => "",
        "attr" => ' target="_blank"',
        "href" => "?extension=ext_informes&vista=ver_informe&id=##id##"
    )
);

$columnas_tabla = $items->getColumnasListado();

$categorias = new CategoriasHelper();
if ($instancia = $categorias->getInstance('id', 'padre', 'nombre', $this_ext . '/class/' . $fileclass_category, $class_category, $this_ext, $vista_category, '')) {
	
	$categorias_select_html = '<option value="">'.__('Ninguna categoría').'</option>';
	$categorias_select_html .= $categorias->display_optionselect_nodes(0, 0, $cat_id);
}
?>