<?php
/**
 * Modelo del listado de artículos de una categoría, permite manejar los listados de artículos de una categoría de forma fácil
 *
 * @package		Mideas.Informes
 * @subpackage	Model
 * @since		1.0
 */

class InformeCategoryModel extends ListadoModel{
	
	protected $global_main_class = 'informes';
	
	protected $ext_folder = 'ext_informes';
	
	protected $categoria_class = 'InformeCategory';
	protected $item_class = 'Informe';
	
	protected $categoria_vista = 'informe_category';
	protected $item_vista = 'informe';
	
	function __construct($id=''){
		parent::__construct($id);
	}
		
	public function includes(){
		//Clase requerida
		e_include('ext_informes/class/informeCategory','ext_informes/class/informe');
		$tmp_ct = new $this->categoria_class();
		$tmp_it = new $this->item_class();
	}
}