<?php
class Informes extends Controller
{	
	protected $ext_folder = 'ext_informes';
	protected $ext_home_vista = 'home';
	protected $ext_categoria_vista = 'informe_category';
	protected $ext_item_vista = 'informe';
	protected $ext_form_item_vista = 'nuevo_informe';
	
	protected $ext_item_modelo = 'InformeModel';
	protected $ext_categoria_modelo = 'InformeCategoryModel';
	protected $ext_home_modelo = 'HomeInformesModel';
	
	protected $ext_categoria_clase = 'InformeCategory';
	protected $ext_item_clase = 'Informe';

	var $informe;
	
	function __construct($pasivo=false){
		parent::__construct($pasivo);
	}
	
	public function includes(){
		c_include('loc/region','loc/provincia','loc/localidad','loc/pais');
		e_include('ext_informes/class/informe','ext_informes/class/informeCategory');
		e_include('ext_informes/models/informe','ext_informes/models/categoria','ext_informes/models/home');
		if (!class_exists('Informe') || !class_exists('InformeCategory')) {
			App::setMsg(__("Error 500: No se ha encontrado la clase de la extensión."), 'error');
			return false;
		}
	}
}